Name:           ocaml-libvirt
Version:        0.6.1.2
Release:        %mkrel 6
Summary:        OCaml bindings for libvirt
License:        LGPLv2+
Group:          Development/OCaml
URL:            http://libvirt.org/ocaml/
Source:         http://libvirt.org/sources/ocaml/%{name}-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  libvirt-devel
BuildRequires:  ocaml-fileutils-devel
BuildRequires:  ocaml-gettext-devel

%description
ocaml-libvirt are OCaml bindings for libvirt, allowing you to write OCaml
programs and scripts which control virtualization features. Some things which
you might want to do with ocaml-libvirt:

* Monitor performance of virtual machines
* Pause and resume virtual machines according to demand
* Provision new virtual machines automatically for customers
* Configure how virtual machines are networked together

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       libvirt-devel
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q

%build
%configure2_5x
%make all
%make opt

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{_libdir}/ocaml/stublibs
make install-opt \
    OCAMLFIND_DESTDIR="%{buildroot}/%{_libdir}/ocaml" \
    DESTDIR=%{buildroot}
rm -f  %{buildroot}/%{_libdir}/ocaml/stublibs/*.owner

%files
%doc README TODO.libvirt ChangeLog COPYING COPYING.LIB
%dir %{_libdir}/ocaml/libvirt
%{_libdir}/ocaml/libvirt/*.cmi
%{_libdir}/ocaml/libvirt/*.cma
%{_libdir}/ocaml/libvirt/META
%{_libdir}/ocaml/stublibs/*.so

%files devel
%{_libdir}/ocaml/libvirt/*.a
%{_libdir}/ocaml/libvirt/*.cmx
%{_libdir}/ocaml/libvirt/*.cmxa
%{_libdir}/ocaml/libvirt/*.mli


%changelog
* Fri Jan 24 2014 oden <oden> 0.6.1.2-6.mga4
+ Revision: 567709
- rebuilt for libvirt 1.2.1

* Fri Oct 18 2013 umeabot <umeabot> 0.6.1.2-5.mga4
+ Revision: 508502
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.1.2-4.mga3
+ Revision: 361447
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 blue_prawn <blue_prawn> 0.6.1.2-3.mga3
+ Revision: 302198
- rebuild for new ocaml 4.00

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.6.1.2-2.mga3
+ Revision: 301667
- new rpm group for ocaml

* Wed Jun 06 2012 malo <malo> 0.6.1.2-1.mga3
+ Revision: 256645
- update to 0.6.1.2

* Sat Oct 22 2011 malo <malo> 0.6.1.0-4.mga2
+ Revision: 157380
- missing buildrequires
- spec clean-up and rebuild for Ocaml-3.12.1

* Sat Apr 30 2011 misc <misc> 0.6.1.0-3.mga1
+ Revision: 93942
- increase license to fix upgrade from Mandriva

* Mon Mar 07 2011 saispo <saispo> 0.6.1.0-1.mga1
+ Revision: 66107
- imported package ocaml-libvirt

